/******************************************************************************
 *
 * Copyright (c) 2020, the jupyterlab_templates authors.
 *
 * This file is part of the jupyterlab_templates library, distributed under the terms of
 * the Apache License 2.0.  The full license can be found in the LICENSE file.
 *
 */
import { ILayoutRestorer, JupyterFrontEnd, JupyterFrontEndPlugin } from "@jupyterlab/application";
import { ICommandPalette } from "@jupyterlab/apputils";
import { IDocumentManager } from "@jupyterlab/docmanager";
import { IFileBrowserFactory } from "@jupyterlab/filebrowser";
import { ILauncher } from "@jupyterlab/launcher";
import { IMainMenu } from "@jupyterlab/mainmenu";
import { Widget } from "@lumino/widgets";
import "../style/index.css";
declare const extension: JupyterFrontEndPlugin<void>;
export declare class OpenTemplateWidget extends Widget {
    constructor();
    getValue(): string;
    get inputNode(): HTMLSelectElement;
}
declare function activate(app: JupyterFrontEnd, docManager: IDocumentManager, palette: ICommandPalette, restorer: ILayoutRestorer, menu: IMainMenu, browser: IFileBrowserFactory, launcher: ILauncher | null): void;
export default extension;
export { activate as _activate };
